## pimcommon 24.12.3

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")

project(pimcommon VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMAddQtDesignerPlugin)
include(ECMAddQch)
include(ECMCheckOutboundLicense)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
set(LIBKDEPIM_LIB_VERSION "6.3.3")
set(KTEXTADDONS_MIN_VERSION "1.5.4")
set(KIMAP_LIB_VERSION "6.3.3")
set(KLDAP_LIB_VERSION "6.3.3")

set(AKONADICONTACT_LIB_VERSION "6.3.3")
set(AKONADI_VERSION "6.3.3")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Network Xml)

find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NewStuff ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Purpose ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")


option(FORCE_DISABLE_AKONADI_SEARCH "Disable features and API that require akonadi-search, e.g. because xapian isn't available" OFF)
if(UNIX)
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
        set_package_properties(KPim6AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")
    endif()
else()
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG)
        set_package_properties(KPim6AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE OPTIONAL PURPOSE "Provides search capabilities in KMail and Akonadi")
    endif()
endif()

if(NOT KPim6AkonadiSearch_FOUND)
    set(FORCE_DISABLE_AKONADI_SEARCH TRUE)
endif()

set(DISABLE_AKONADI_SEARCH ${FORCE_DISABLE_AKONADI_SEARCH})
configure_file(config-akonadi-search.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config-akonadi-search.h)

option(ENABLE_WARN_OUTDATED "Warn users if using an old version; if you long term supported distribution, you might want to set this to off" ON)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
   find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
endif()

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)

find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities" ON)
if(OPTION_USE_PLASMA_ACTIVITIES)
    if(NOT WIN32 AND NOT APPLE)
       set(OPTION_USE_PLASMA_ACTIVITIES true)
    else()
       set(OPTION_USE_PLASMA_ACTIVITIES false)
    endif()
endif()
if(OPTION_USE_PLASMA_ACTIVITIES)
    if(NOT WIN32 AND NOT APPLE)
       set(PLASMAACTIVITIES_MIN_VERSION "6.1.0")
       find_package(PlasmaActivities ${PLASMAACTIVITIES_MIN_VERSION})
       set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION
               "Allow to compile with plasma activities"
                TYPE OPTIONAL
        )
    endif()
endif()



add_subdirectory(src)
ecm_qt_install_logging_categories(
        EXPORT PIMCOMMON
        FILE pimcommon.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_definitions(-DTRANSLATION_DOMAIN=\"libpimcommon6\")

add_subdirectory(pimcommon)
add_subdirectory(pimcommonakonadi)
if(TARGET Plasma::Activities)
   add_subdirectory(pimcommon-activities)
endif()

=== src/pimcommon-activities/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none


include_directories(${CMAKE_CURRENT_SOURCE_DIR})

ecm_setup_version(PROJECT VARIABLE_PREFIX PIMCOMMONACTIVITIES
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pimcommonactivities_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6PimCommonActivitiesConfigVersion.cmake"
    SOVERSION 6
)
add_library(KPim6PimCommonActivities)
add_library(KPim6::PimCommonActivities ALIAS KPim6PimCommonActivities)

ecm_qt_declare_logging_category(KPim6PimCommonActivities HEADER pimcommonactivities_debug.h IDENTIFIER PIMCOMMONACTIVITIES_LOG
    CATEGORY_NAME org.kde.pim.pimcommonactivities
    DESCRIPTION "kdepim (pimcommonactivities)"
    EXPORT PIMCOMMON
)

target_sources(KPim6PimCommonActivities PRIVATE
    activitiesbasemanager.cpp
    activitiesbasemanager.h
    configureactivitieswidget.cpp
    configureactivitieswidget.h
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6PimCommonActivities PROPERTIES UNITY_BUILD ON)
endif()
ecm_generate_export_header(KPim6PimCommonActivities
    BASE_NAME pimcommonactivities
    VERSION ${PIMCOMMONACTIVITIES_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

ecm_generate_headers(PimCommonActivities_CamelCasebase_HEADERS
    HEADER_NAMES
    ActivitiesBaseManager
    ConfigureActivitiesWidget
    REQUIRED_HEADERS PimCommonActivities_base_HEADERS
    PREFIX PimCommonActivities
)

target_link_libraries(KPim6PimCommonActivities
    PUBLIC
    Qt::Widgets
    Plasma::Activities
    PRIVATE
    KF6::I18n
)

target_include_directories(KPim6PimCommonActivities INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommonActivities/>")

target_include_directories(KPim6PimCommonActivities PUBLIC "$<BUILD_INTERFACE:${pimcommon_SOURCE_DIR}/src;${pimcommon_BINARY_DIR}/src>")

set_target_properties(KPim6PimCommonActivities PROPERTIES
    VERSION ${PIMCOMMONACTIVITIES_VERSION}
    SOVERSION ${PIMCOMMONACTIVITIES_SOVERSION}
    EXPORT_NAME PimCommonActivities
)

install(TARGETS
    KPim6PimCommonActivities
    EXPORT KPim6PimCommonActivitiesTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${PimCommonActivities_CamelCasebase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommonActivities/PimCommonActivities
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommonactivities_export.h
    ${PimCommonActivities_base_HEADERS}


    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommonActivities/pimcommonactivities
    COMPONENT Devel
)

# if(BUILD_QCH)
#     ecm_add_qch(
#         KPim6PimCommonActivities_QCH
#         NAME KPim6PimCommonActivities
#         BASE_NAME KPim6PimCommonActivities
#         VERSION ${PIM_VERSION}
#         ORG_DOMAIN org.kde
#         SOURCES # using only public headers, to cover only public API
#         ${PimCommonActivities_acl_HEADERS}
#         ${PimCommonActivities_ldap_HEADERS}
#         ${PimCommonActivities_collectionpage_HEADERS}
#         ${PimCommonActivities_folderdialog_HEADERS}
#         ${PimCommonActivities_genericplugins_HEADERS}
#         ${PimCommonActivities_casewidgets_HEADERS}
#         ${PimCommonActivities_widgets_HEADERS}
#         ${PimCommonActivities_managerserversidesubscription_HEADERS}
#         ${PimCommonActivities_Util_HEADERS}
#         ${PimCommonActivities_progresswidget_HEADERS}
#         ${PimCommonActivities_completionconfiguredialog_HEADERS}
#         ${PimCommonActivities_completionorder_HEADERS}
#         ${PimCommonActivities_addressline_HEADERS}
#         ${PimCommonActivities_recentaddress_HEADERS}
#         #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
#         #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
#         LINK_QCHS
#             Qt6Core_QCH
#             Qt6Gui_QCH
#             Qt6Widgets_QCH
#         INCLUDE_DIRS
#             ${CMAKE_CURRENT_BINARY_DIR}
#         BLANK_MACROS
#             PIMCOMMONACTIVITIES_EXPORT
#         TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
#         QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
#         COMPONENT Devel
# )

# endif()
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6PimCommonActivities")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6PimCommonActivities_QCH
        FILE KPim6PimCommonActivitiesQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6PimCommonActivitiesQchTargets.cmake\")")
endif()
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimCommonActivitiesConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6PimCommonActivitiesConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6PimCommonActivitiesConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6PimCommonActivitiesConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPim6PimCommonActivitiesTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6PimCommonActivitiesTargets.cmake NAMESPACE KPim6::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommonactivities_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommonActivities/ COMPONENT Devel
)

=== src/pimcommon/needupdateversion/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_pimcommon_needupdateversion_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "pimcommon-needupdateversion-"
        LINK_LIBRARIES Qt::Test Qt::Gui KPim6::PimCommon
)
endmacro()

add_pimcommon_needupdateversion_unittest(needupdateversionwidgettest.cpp)
add_pimcommon_needupdateversion_unittest(needupdateversionutilstest.cpp)

=== src/pimcommon/shareserviceurl/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_pimcommon_shareserviceurl_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "pimcommon-shareserviceurl-"
        LINK_LIBRARIES Qt::Test
        Qt::Widgets
        KPim6::PimCommon
)
endmacro()
add_pimcommon_shareserviceurl_unittest(shareserviceurlmanagertest.cpp)

=== src/pimcommon/whatsnew/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2024 Laurent Montel <montel.org>
# SPDX-License-Identifier: BSD-3-Clause
macro(add_whatsnew_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(${_name})
    target_link_libraries(${_name} Qt::Test Qt::Widgets KPim6::PimCommon)
    set_target_properties(${_name} PROPERTIES DISABLE_PRECOMPILE_HEADERS ON)
endmacro()

add_whatsnew_test(whatsnewdialogtest.cpp)
add_whatsnew_test(whatsnewwidgettest.cpp)
add_whatsnew_test(whatsnewmessagewidgettest.cpp)
add_whatsnew_test(whatsnewcomboboxwidgettest.cpp)
add_whatsnew_test(whatsnewinfotest.cpp)

## pimcommon 24.08.2

=== debian/changelog ===
pimcommon (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:03:42 +0200

pimcommon (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Sep 2024 12:15:50 +0200

libkf5pimcommon (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:32:27 +0100

libkf5pimcommon (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:26:34 +0100

libkf5pimcommon (4:22.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:36:43 +0100

libkf5pimcommon (4:22.12.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:04:24 +0100

libkf5pimcommon (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * New binary package libkf5pimcommonautocorrection5.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 17:28:27 +0100

libkf5pimcommon (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:54:07 +0100

libkf5pimcommon (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:11:44 +0200

libkf5pimcommon (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:09:20 +0200

libkf5pimcommon (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:45:59 +0200

libkf5pimcommon (4:22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:57:24 +0200

libkf5pimcommon (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:01:58 +0200

libkf5pimcommon (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:47:14 +0200

libkf5pimcommon (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 01:31:09 +0200

libkf5pimcommon (4:21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:10:03 +0200

libkf5pimcommon (4:21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:25:39 +0100

libkf5pimcommon (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:27:08 +0900

libkf5pimcommon (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:37:42 +0900

libkf5pimcommon (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:41:38 +0900

libkf5pimcommon (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:15:53 +0900

libkf5pimcommon (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Update Debian ABI Manager patch.
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:47:10 +0900

libkf5pimcommon (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.


=== debian/control ===
Source: pimcommon
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               libakonadi-dev (>= 4:24.08.2~),
               libakonadicontact-dev (>= 4:24.08.2~),
               libakonadisearch-dev (>= 4:24.08.0~),
               libkdepim-dev (>= 4:24.08.2~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6codecs-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6itemmodels-dev (>= 6.3.0~),
               libkf6jobwidgets-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6newstuff-dev (>= 6.3.0~),
               libkf6purpose-dev (>= 6.3.0~),
               libkf6service-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkimap-dev (>= 24.08.2~),
               libkldap-dev (>= 24.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/pimcommon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/pimcommon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/pimcommon.git
Rules-Requires-Root: no

Package: libpimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libpimcommon-dev
Section: libdevel
Architecture: any
Depends: libakonadi-dev (>= 4:24.08.2~),
         libakonadicontact-dev (>= 4:24.08.2~),
         libkdepim-dev (>= 4:24.08.2~),
         libkf6config-dev (>= 6.3.0~),
         libkf6contacts-dev (>= 6.3.0~),
         libkf6kio-dev (>= 6.3.0~),
         libkimap-dev (>= 24.08.2~),
         libkpim6pimcommon6 (= ${binary:Version}),
         libkpim6pimcommonakonadi6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.5.4~),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

Package: libkpim6pimcommon6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonakonadi6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM Akonadi
 This library provides the common parts used across different KDE PIM Akonadi
 components.
 .
 This package provides the shared libraries.

## pimcommon 24.12.0

=== debian/changelog ===
pimcommon (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:35 +0100

pimcommon (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * New binary package libkpim6pimcommonactivities6.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 11:13:26 +0100

=== debian/control ===
Source: pimcommon
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:24.12.0~),
               libakonadicontact-dev (>= 4:24.12.0~),
               libakonadisearch-dev (>= 4:24.12.0~),
               libkdepim-dev (>= 4:24.12.0~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6purpose-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkimap-dev (>= 24.12.0~),
               libkldap-dev (>= 24.12.0~),
               libktextaddons-dev (>= 1.5.4~),
               libplasmaactivities-dev (>= 6.1.0~),
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/pimcommon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/pimcommon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/pimcommon.git
Rules-Requires-Root: no

Package: libpimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libpimcommon-dev
Section: libdevel
Architecture: any
Depends: libakonadi-dev (>= 4:24.12.0~),
         libakonadicontact-dev (>= 4:24.12.0~),
         libkdepim-dev (>= 4:24.12.0~),
         libkf6config-dev (>= 6.6.0~),
         libkf6contacts-dev (>= 6.6.0~),
         libkf6kio-dev (>= 6.6.0~),
         libkimap-dev (>= 24.12.0~),
         libkpim6pimcommon6 (= ${binary:Version}),
         libkpim6pimcommonactivities6 (= ${binary:Version}),
         libkpim6pimcommonakonadi6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.5.4~),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

Package: libkpim6pimcommon6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonactivities6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for Plasma Activities in KDE PIM
 This library provides the common parts used for Plasma Activities.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonakonadi6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM Akonadi
 This library provides the common parts used across different KDE PIM Akonadi
 components.
 .
 This package provides the shared libraries.

## pimcommon 24.12.2

=== debian/changelog ===
pimcommon (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:07:36 +0100

pimcommon (4:24.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Disable warning about old versions.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Jan 2025 20:28:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicontact-dev (>= 4:24.12.0~),
-               libakonadisearch-dev (>= 4:24.12.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadisearch-dev (>= 4:24.12.2~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -26,8 +26,8 @@
                libkf6service-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 24.12.0~),
-               libkldap-dev (>= 24.12.0~),
+               libkimap-dev (>= 24.12.2~),
+               libkldap-dev (>= 24.12.2~),
                libktextaddons-dev (>= 1.5.4~),
                libplasmaactivities-dev (>= 6.1.0~),
                qt6-base-dev (>= 6.7.0~),
@@ -53,13 +53,13 @@
 Package: libpimcommon-dev
 Section: libdevel
 Architecture: any
-Depends: libakonadi-dev (>= 4:24.12.0~),
-         libakonadicontact-dev (>= 4:24.12.0~),
-         libkdepim-dev (>= 4:24.12.0~),
+Depends: libakonadi-dev (>= 4:24.12.2~),
+         libakonadicontact-dev (>= 4:24.12.2~),
+         libkdepim-dev (>= 4:24.12.2~),
          libkf6config-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6kio-dev (>= 6.6.0~),
-         libkimap-dev (>= 24.12.0~),
+         libkimap-dev (>= 24.12.2~),
          libkpim6pimcommon6 (= ${binary:Version}),
          libkpim6pimcommonactivities6 (= ${binary:Version}),
          libkpim6pimcommonakonadi6 (= ${binary:Version}),

## pimcommon 24.12.3

=== debian/changelog ===
pimcommon (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pimcommon
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicontact-dev (>= 4:24.12.2~),
-               libakonadisearch-dev (>= 4:24.12.2~),
-               libkdepim-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicontact-dev (>= 4:24.12.3~),
+               libakonadisearch-dev (>= 4:24.12.3~),
+               libkdepim-dev (>= 4:24.12.3~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -26,8 +27,8 @@
                libkf6service-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 24.12.2~),
-               libkldap-dev (>= 24.12.2~),
+               libkimap-dev (>= 24.12.3~),
+               libkldap-dev (>= 24.12.3~),
                libktextaddons-dev (>= 1.5.4~),
                libplasmaactivities-dev (>= 6.1.0~),
                qt6-base-dev (>= 6.7.0~),
@@ -53,13 +54,13 @@
 Package: libpimcommon-dev
 Section: libdevel
 Architecture: any
-Depends: libakonadi-dev (>= 4:24.12.2~),
-         libakonadicontact-dev (>= 4:24.12.2~),
-         libkdepim-dev (>= 4:24.12.2~),
+Depends: libakonadi-dev (>= 4:24.12.3~),
+         libakonadicontact-dev (>= 4:24.12.3~),
+         libkdepim-dev (>= 4:24.12.3~),
          libkf6config-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6kio-dev (>= 6.6.0~),
-         libkimap-dev (>= 24.12.2~),
+         libkimap-dev (>= 24.12.3~),
          libkpim6pimcommon6 (= ${binary:Version}),
          libkpim6pimcommonactivities6 (= ${binary:Version}),
          libkpim6pimcommonakonadi6 (= ${binary:Version}),

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/pimcommon-([\d.]+)\.tar\.xz

## pimcommon 25.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.4.2")
 
 project(pimcommon VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.9.0")
 set(QT_REQUIRED_VERSION "6.7.0")
 set(CMAKE_CXX_STANDARD 20)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -19,7 +19,6 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 
-include(FeatureSummary)
 include(KDEGitCommitHooks)
 include(KDEClangFormat)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
@@ -38,13 +37,14 @@
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
-set(LIBKDEPIM_LIB_VERSION "6.3.3")
+set(LIBKDEPIM_LIB_VERSION "6.4.2")
 set(KTEXTADDONS_MIN_VERSION "1.5.4")
-set(KIMAP_LIB_VERSION "6.3.3")
-set(KLDAP_LIB_VERSION "6.3.3")
+set(KIMAP_LIB_VERSION "6.4.2")
+set(KLDAP_LIB_VERSION "6.4.2")
 
-set(AKONADICONTACT_LIB_VERSION "6.3.3")
-set(AKONADI_VERSION "6.3.3")
+set(AKONADICONTACT_LIB_VERSION "6.4.2")
+set(AKONADI_VERSION "6.4.2")
+set(AKONADI_SEARCH_VERSION "6.4.2")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Network Xml)
 
@@ -112,7 +112,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)
+ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.12.0)
 
 find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
